Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11
Class Info

    java.lang.Object
      iaik.pkcs.pkcs11.Info

All Implemented Interfaces:
  Cloneable

public class Info
extends Object
implements Cloneable

Objects of this class provide information about a PKCS#11 moduel; i.e. the driver for a spcific token.

Invariants
  (cryptokiVersion_ <> null) and (manufacturerID_ <> null) and (libraryDescription_ <> null) and (libraryVersion_ <> null)

Field Summary
`protected Version` | `cryptokiVersion_` The module claims to be compliant to this version of PKCS#11.
`protected String` | `libraryDescription_` A description of this module.
`protected Version` | `libraryVersion_` The version number of this module.
`protected String` | `manufacturerID_` The identifer for the manufacturer of this module.

Constructor Summary
`protected` | `Info(CK_INFO ckInfo)` Constructor taking the CK_INFO object of the token.

Method Summary
`Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(Object otherObject)` Compares all member variables of this object with the other object.
`Version` | `getCryptokiVersion()` Get the version of PKCS#11 that this module claims to be compliant to.
`String` | `getLibraryDescription()` Get a short descrption of this module.
`Version` | `getLibraryVersion()` Get the version of this PKCS#11 module.
`String` | `getManufacturerID()` Get the identifier of the manufacturer.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cryptokiVersion_

    protected Version cryptokiVersion_

  The module claims to be compliant to this version of PKCS#11.

### manufacturerID_

    protected String manufacturerID_

  The identifer for the manufacturer of this module.

### libraryDescription_

    protected String libraryDescription_

  A description of this module.

### libraryVersion_

    protected Version libraryVersion_

  The version number of this module.

Constructor Detail

### Info

    protected Info(CK_INFO ckInfo)

  Constructor taking the CK_INFO object of the token.

Parameters:
  `ckInfo` - The info object as got from PKCS11.C_GetInfo().
Preconditions
  (ckInfo <> null)
Postconditions

Method Detail

### clone

    public Object clone()

  Create a (deep) clone of this object.

  Returns:
    A clone of this object.
  Preconditions
  Postconditions
    (result <> null) and (result instanceof Info) and (result.equals(this))

### getCryptokiVersion

    public Version getCryptokiVersion()

  Get the version of PKCS#11 that this module claims to be compliant to.

  Returns:
    The version object.
  Preconditions
  Postconditions
    (result <> null)

### getManufacturerID

    public String getManufacturerID()

  Get the identifier of the manufacturer.

  Returns:
    A string identifying the manufacturer of this module.
  Preconditions
  Postconditions
    (result <> null)

### getLibraryDescription

    public String getLibraryDescription()

  Get a short descrption of this module.

  Returns:
    A string describing the module.
  Preconditions
  Postconditions
    (result <> null)

### getLibraryVersion

    public Version getLibraryVersion()

  Get the version of this PKCS#11 module.

  Returns:
    The version of this module.
  Preconditions
  Postconditions

### toString

    public String toString()

  Returns the string representation of this object.

  Returns:
    the string representation of object

### equals

    public boolean equals(Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.

  Parameters:
    `otherObject` - The other Info object.
  Returns:
    True, if other is an instance of Info and all member variables of both objects are equal. False, otherwise.
  Preconditions
  Postconditions

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.

  Returns:
    The hash code of this object. Gained from all member variables.
  Preconditions
  Postconditions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.